﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:ks="http://www.mal-was-anderes.de/karteikasten/speicherung" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" >
    <xsl:output method="html"
                omit-xml-declaration="yes"
                doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"
                doctype-public="-//W3C//DTD XHTML 1.1//EN"  />

  <xsl:template match="ks:Karteikasten">
    <xsl:variable name="pfad">http://www.mal-was-anderes.de/show/karteikasten/speicherung/</xsl:variable>
        <html>
          <head>
            <link rel="stylesheet" type="text/css" href="{$pfad}karteikasten.css" />
            <title>Karteikasten Speicherung</title>
            <script type="text/javascript" src="{$pfad}karteikasten.js" charset="utf-8"></script>
          </head>
          <body>
            <h1>Karteikasten Speicherung</h1>
            <div id="infos">
              <xsl:apply-templates select="ks:Optionen"/>
            </div>
            
            <table id="Woerter">
              <thead >
                <tr>
                  <td></td>
                  <td>
                    <xsl:value-of select="ks:Optionen/ks:Hostsprache"/>
                  </td>
                  <td>
                    <xsl:value-of select="ks:Optionen/ks:AuslandSprache"/>
                  </td>                  
                </tr>
              </thead>
              <tbody>
            <xsl:for-each select="ks:Faecher/ks:Fach/ks:Wort">
              <xsl:sort select="ks:Host"/>
              <tr>
                <td>
                  <xsl:element name="img">
                    <xsl:attribute name="alt"></xsl:attribute>
                    <xsl:attribute name="id">WortInfo<xsl:value-of select="@Key"/></xsl:attribute>
                    <xsl:attribute name="src"><xsl:value-of select="$pfad"/>info.ico</xsl:attribute>
                    <xsl:attribute name="class">InfoBild</xsl:attribute>
                  </xsl:element>
                  </td>
               <td>
                <xsl:for-each select="ks:Host">
                   <xsl:value-of select="."/>; 
                </xsl:for-each>
                </td>
                <td>
                  <xsl:for-each select="ks:Ausland">
                    <xsl:value-of select="."/>; 
                  </xsl:for-each>
                </td>
                <td style="display:none">
                  <xsl:element name="div" xml:space="default">
                    <xsl:attribute name="id">divWortInfo<xsl:value-of select="@Key"/></xsl:attribute>
                    <xsl:attribute name="class">WortInfo</xsl:attribute>
                    Wort: <xsl:for-each select="ks:Host"><xsl:value-of select="."/>; </xsl:for-each> - <xsl:for-each select="ks:Ausland"><xsl:value-of select="."/>; </xsl:for-each><br/>
                    <xsl:choose>
                      <xsl:when test="(ks:Statistik/@Richtig+ks:Statistik/@Falsch)>0">
                        Richtig: <xsl:value-of select="ks:Statistik/@Richtig"/><br/>
                        Falsch: <xsl:value-of select="ks:Statistik/@Falsch"/><br/>
                        Mit Hilfe gekonnt: <xsl:value-of select="ks:Statistik/@MitHilfe"/><br/>
                        Zuletzt gelernt: <xsl:call-template name="FormatDate"><xsl:with-param name="DateTime" select="ks:Statistik/@ZuletztGelernt"/></xsl:call-template>
                      </xsl:when>
                      <xsl:otherwise>
                        <br/>
                        <b>Noch nicht gelernt!</b>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:element>
                </td>
               </tr>
              </xsl:for-each >
             </tbody>
            </table>
            <div>
            <br/><br/>
            Dieses Dokument ist eine Speicherung des <a href="http://www.mal-was-anderes.de/xx/karteikasten">Karteikastens</a>. 
            </div>
          </body>
       </html>
    </xsl:template>
  <xsl:template match="ks:Optionen">
    Benutzername: <xsl:value-of select="ks:Benutzername"/><br/>
    1. Sprache: <xsl:value-of select="ks:Hostsprache"/><br/>
    2. Sprache: <xsl:value-of select="ks:AuslandSprache"/><br/>
  </xsl:template >
  <xsl:template match="*">
  </xsl:template >
  <xsl:template name="FormatDate">

    <xsl:param name="DateTime" />

    <!--  date format 2006-01-14T08:55:22 -->

    <xsl:variable name="Jahr">
      <xsl:value-of select="substring($DateTime,1,4)" />
    </xsl:variable>
    <xsl:variable name="Monat">
      <xsl:value-of select="substring($DateTime,6,2)" />
    </xsl:variable>
    <xsl:variable name="Tag">
      <xsl:value-of select="substring($DateTime,9,2)" />
    </xsl:variable>
    <xsl:variable name="Stunde">
      <xsl:value-of select="substring($DateTime,12,2)" />
    </xsl:variable>
    <xsl:variable name="Minute">
      <xsl:value-of select="substring($DateTime,15,2)" />
    </xsl:variable>
    <xsl:variable name="Sekunde">
      <xsl:value-of select="substring($DateTime,18,2)" />
    </xsl:variable>
    <xsl:value-of select ="$Tag"/>.<xsl:value-of select ="$Monat"/>.<xsl:value-of select ="$Jahr"/><xsl:value-of select ="' '"/><xsl:value-of select ="$Stunde"/>:<xsl:value-of select ="$Minute"/>:<xsl:value-of select ="$Sekunde"/>
  </xsl:template >
</xsl:stylesheet>
